package cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class SzhtxxElectronicInvoiceFptxxXmxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SzhtxxElectronicInvoiceFptxxXmxxExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    szhtxx_electronic_invoice_fptxx_xmxx
     *
     * @mbg.generated Fri Mar 11 16:36:46 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNull() {
            addCriterion("fpqqlsh is null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNotNull() {
            addCriterion("fpqqlsh is not null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshEqualTo(String value) {
            addCriterion("fpqqlsh =", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotEqualTo(String value) {
            addCriterion("fpqqlsh <>", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThan(String value) {
            addCriterion("fpqqlsh >", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThanOrEqualTo(String value) {
            addCriterion("fpqqlsh >=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThan(String value) {
            addCriterion("fpqqlsh <", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThanOrEqualTo(String value) {
            addCriterion("fpqqlsh <=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLike(String value) {
            addCriterion("fpqqlsh like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotLike(String value) {
            addCriterion("fpqqlsh not like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIn(List<String> values) {
            addCriterion("fpqqlsh in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotIn(List<String> values) {
            addCriterion("fpqqlsh not in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshBetween(String value1, String value2) {
            addCriterion("fpqqlsh between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotBetween(String value1, String value2) {
            addCriterion("fpqqlsh not between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andXmmcIsNull() {
            addCriterion("xmmc is null");
            return (Criteria) this;
        }

        public Criteria andXmmcIsNotNull() {
            addCriterion("xmmc is not null");
            return (Criteria) this;
        }

        public Criteria andXmmcEqualTo(String value) {
            addCriterion("xmmc =", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcNotEqualTo(String value) {
            addCriterion("xmmc <>", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcGreaterThan(String value) {
            addCriterion("xmmc >", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcGreaterThanOrEqualTo(String value) {
            addCriterion("xmmc >=", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcLessThan(String value) {
            addCriterion("xmmc <", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcLessThanOrEqualTo(String value) {
            addCriterion("xmmc <=", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcLike(String value) {
            addCriterion("xmmc like", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcNotLike(String value) {
            addCriterion("xmmc not like", value, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcIn(List<String> values) {
            addCriterion("xmmc in", values, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcNotIn(List<String> values) {
            addCriterion("xmmc not in", values, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcBetween(String value1, String value2) {
            addCriterion("xmmc between", value1, value2, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmmcNotBetween(String value1, String value2) {
            addCriterion("xmmc not between", value1, value2, "xmmc");
            return (Criteria) this;
        }

        public Criteria andXmdwIsNull() {
            addCriterion("xmdw is null");
            return (Criteria) this;
        }

        public Criteria andXmdwIsNotNull() {
            addCriterion("xmdw is not null");
            return (Criteria) this;
        }

        public Criteria andXmdwEqualTo(String value) {
            addCriterion("xmdw =", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwNotEqualTo(String value) {
            addCriterion("xmdw <>", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwGreaterThan(String value) {
            addCriterion("xmdw >", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwGreaterThanOrEqualTo(String value) {
            addCriterion("xmdw >=", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwLessThan(String value) {
            addCriterion("xmdw <", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwLessThanOrEqualTo(String value) {
            addCriterion("xmdw <=", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwLike(String value) {
            addCriterion("xmdw like", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwNotLike(String value) {
            addCriterion("xmdw not like", value, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwIn(List<String> values) {
            addCriterion("xmdw in", values, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwNotIn(List<String> values) {
            addCriterion("xmdw not in", values, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwBetween(String value1, String value2) {
            addCriterion("xmdw between", value1, value2, "xmdw");
            return (Criteria) this;
        }

        public Criteria andXmdwNotBetween(String value1, String value2) {
            addCriterion("xmdw not between", value1, value2, "xmdw");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNull() {
            addCriterion("ggxh is null");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNotNull() {
            addCriterion("ggxh is not null");
            return (Criteria) this;
        }

        public Criteria andGgxhEqualTo(String value) {
            addCriterion("ggxh =", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotEqualTo(String value) {
            addCriterion("ggxh <>", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThan(String value) {
            addCriterion("ggxh >", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThanOrEqualTo(String value) {
            addCriterion("ggxh >=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThan(String value) {
            addCriterion("ggxh <", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThanOrEqualTo(String value) {
            addCriterion("ggxh <=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLike(String value) {
            addCriterion("ggxh like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotLike(String value) {
            addCriterion("ggxh not like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhIn(List<String> values) {
            addCriterion("ggxh in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotIn(List<String> values) {
            addCriterion("ggxh not in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhBetween(String value1, String value2) {
            addCriterion("ggxh between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotBetween(String value1, String value2) {
            addCriterion("ggxh not between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andXmslIsNull() {
            addCriterion("xmsl is null");
            return (Criteria) this;
        }

        public Criteria andXmslIsNotNull() {
            addCriterion("xmsl is not null");
            return (Criteria) this;
        }

        public Criteria andXmslEqualTo(BigDecimal value) {
            addCriterion("xmsl =", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslNotEqualTo(BigDecimal value) {
            addCriterion("xmsl <>", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslGreaterThan(BigDecimal value) {
            addCriterion("xmsl >", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("xmsl >=", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslLessThan(BigDecimal value) {
            addCriterion("xmsl <", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("xmsl <=", value, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslIn(List<BigDecimal> values) {
            addCriterion("xmsl in", values, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslNotIn(List<BigDecimal> values) {
            addCriterion("xmsl not in", values, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xmsl between", value1, value2, "xmsl");
            return (Criteria) this;
        }

        public Criteria andXmslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xmsl not between", value1, value2, "xmsl");
            return (Criteria) this;
        }

        public Criteria andHsbzIsNull() {
            addCriterion("hsbz is null");
            return (Criteria) this;
        }

        public Criteria andHsbzIsNotNull() {
            addCriterion("hsbz is not null");
            return (Criteria) this;
        }

        public Criteria andHsbzEqualTo(String value) {
            addCriterion("hsbz =", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzNotEqualTo(String value) {
            addCriterion("hsbz <>", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzGreaterThan(String value) {
            addCriterion("hsbz >", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzGreaterThanOrEqualTo(String value) {
            addCriterion("hsbz >=", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzLessThan(String value) {
            addCriterion("hsbz <", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzLessThanOrEqualTo(String value) {
            addCriterion("hsbz <=", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzLike(String value) {
            addCriterion("hsbz like", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzNotLike(String value) {
            addCriterion("hsbz not like", value, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzIn(List<String> values) {
            addCriterion("hsbz in", values, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzNotIn(List<String> values) {
            addCriterion("hsbz not in", values, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzBetween(String value1, String value2) {
            addCriterion("hsbz between", value1, value2, "hsbz");
            return (Criteria) this;
        }

        public Criteria andHsbzNotBetween(String value1, String value2) {
            addCriterion("hsbz not between", value1, value2, "hsbz");
            return (Criteria) this;
        }

        public Criteria andXmdjIsNull() {
            addCriterion("xmdj is null");
            return (Criteria) this;
        }

        public Criteria andXmdjIsNotNull() {
            addCriterion("xmdj is not null");
            return (Criteria) this;
        }

        public Criteria andXmdjEqualTo(BigDecimal value) {
            addCriterion("xmdj =", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjNotEqualTo(BigDecimal value) {
            addCriterion("xmdj <>", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjGreaterThan(BigDecimal value) {
            addCriterion("xmdj >", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("xmdj >=", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjLessThan(BigDecimal value) {
            addCriterion("xmdj <", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjLessThanOrEqualTo(BigDecimal value) {
            addCriterion("xmdj <=", value, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjIn(List<BigDecimal> values) {
            addCriterion("xmdj in", values, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjNotIn(List<BigDecimal> values) {
            addCriterion("xmdj not in", values, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xmdj between", value1, value2, "xmdj");
            return (Criteria) this;
        }

        public Criteria andXmdjNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("xmdj not between", value1, value2, "xmdj");
            return (Criteria) this;
        }

        public Criteria andFphxzIsNull() {
            addCriterion("fphxz is null");
            return (Criteria) this;
        }

        public Criteria andFphxzIsNotNull() {
            addCriterion("fphxz is not null");
            return (Criteria) this;
        }

        public Criteria andFphxzEqualTo(String value) {
            addCriterion("fphxz =", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzNotEqualTo(String value) {
            addCriterion("fphxz <>", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzGreaterThan(String value) {
            addCriterion("fphxz >", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzGreaterThanOrEqualTo(String value) {
            addCriterion("fphxz >=", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzLessThan(String value) {
            addCriterion("fphxz <", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzLessThanOrEqualTo(String value) {
            addCriterion("fphxz <=", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzLike(String value) {
            addCriterion("fphxz like", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzNotLike(String value) {
            addCriterion("fphxz not like", value, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzIn(List<String> values) {
            addCriterion("fphxz in", values, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzNotIn(List<String> values) {
            addCriterion("fphxz not in", values, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzBetween(String value1, String value2) {
            addCriterion("fphxz between", value1, value2, "fphxz");
            return (Criteria) this;
        }

        public Criteria andFphxzNotBetween(String value1, String value2) {
            addCriterion("fphxz not between", value1, value2, "fphxz");
            return (Criteria) this;
        }

        public Criteria andSpbmIsNull() {
            addCriterion("spbm is null");
            return (Criteria) this;
        }

        public Criteria andSpbmIsNotNull() {
            addCriterion("spbm is not null");
            return (Criteria) this;
        }

        public Criteria andSpbmEqualTo(String value) {
            addCriterion("spbm =", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmNotEqualTo(String value) {
            addCriterion("spbm <>", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmGreaterThan(String value) {
            addCriterion("spbm >", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmGreaterThanOrEqualTo(String value) {
            addCriterion("spbm >=", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmLessThan(String value) {
            addCriterion("spbm <", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmLessThanOrEqualTo(String value) {
            addCriterion("spbm <=", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmLike(String value) {
            addCriterion("spbm like", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmNotLike(String value) {
            addCriterion("spbm not like", value, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmIn(List<String> values) {
            addCriterion("spbm in", values, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmNotIn(List<String> values) {
            addCriterion("spbm not in", values, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmBetween(String value1, String value2) {
            addCriterion("spbm between", value1, value2, "spbm");
            return (Criteria) this;
        }

        public Criteria andSpbmNotBetween(String value1, String value2) {
            addCriterion("spbm not between", value1, value2, "spbm");
            return (Criteria) this;
        }

        public Criteria andYhzcbsIsNull() {
            addCriterion("yhzcbs is null");
            return (Criteria) this;
        }

        public Criteria andYhzcbsIsNotNull() {
            addCriterion("yhzcbs is not null");
            return (Criteria) this;
        }

        public Criteria andYhzcbsEqualTo(String value) {
            addCriterion("yhzcbs =", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsNotEqualTo(String value) {
            addCriterion("yhzcbs <>", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsGreaterThan(String value) {
            addCriterion("yhzcbs >", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsGreaterThanOrEqualTo(String value) {
            addCriterion("yhzcbs >=", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsLessThan(String value) {
            addCriterion("yhzcbs <", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsLessThanOrEqualTo(String value) {
            addCriterion("yhzcbs <=", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsLike(String value) {
            addCriterion("yhzcbs like", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsNotLike(String value) {
            addCriterion("yhzcbs not like", value, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsIn(List<String> values) {
            addCriterion("yhzcbs in", values, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsNotIn(List<String> values) {
            addCriterion("yhzcbs not in", values, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsBetween(String value1, String value2) {
            addCriterion("yhzcbs between", value1, value2, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andYhzcbsNotBetween(String value1, String value2) {
            addCriterion("yhzcbs not between", value1, value2, "yhzcbs");
            return (Criteria) this;
        }

        public Criteria andLslbsIsNull() {
            addCriterion("lslbs is null");
            return (Criteria) this;
        }

        public Criteria andLslbsIsNotNull() {
            addCriterion("lslbs is not null");
            return (Criteria) this;
        }

        public Criteria andLslbsEqualTo(String value) {
            addCriterion("lslbs =", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsNotEqualTo(String value) {
            addCriterion("lslbs <>", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsGreaterThan(String value) {
            addCriterion("lslbs >", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsGreaterThanOrEqualTo(String value) {
            addCriterion("lslbs >=", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsLessThan(String value) {
            addCriterion("lslbs <", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsLessThanOrEqualTo(String value) {
            addCriterion("lslbs <=", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsLike(String value) {
            addCriterion("lslbs like", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsNotLike(String value) {
            addCriterion("lslbs not like", value, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsIn(List<String> values) {
            addCriterion("lslbs in", values, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsNotIn(List<String> values) {
            addCriterion("lslbs not in", values, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsBetween(String value1, String value2) {
            addCriterion("lslbs between", value1, value2, "lslbs");
            return (Criteria) this;
        }

        public Criteria andLslbsNotBetween(String value1, String value2) {
            addCriterion("lslbs not between", value1, value2, "lslbs");
            return (Criteria) this;
        }

        public Criteria andZzstsglIsNull() {
            addCriterion("zzstsgl is null");
            return (Criteria) this;
        }

        public Criteria andZzstsglIsNotNull() {
            addCriterion("zzstsgl is not null");
            return (Criteria) this;
        }

        public Criteria andZzstsglEqualTo(String value) {
            addCriterion("zzstsgl =", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglNotEqualTo(String value) {
            addCriterion("zzstsgl <>", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglGreaterThan(String value) {
            addCriterion("zzstsgl >", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglGreaterThanOrEqualTo(String value) {
            addCriterion("zzstsgl >=", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglLessThan(String value) {
            addCriterion("zzstsgl <", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglLessThanOrEqualTo(String value) {
            addCriterion("zzstsgl <=", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglLike(String value) {
            addCriterion("zzstsgl like", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglNotLike(String value) {
            addCriterion("zzstsgl not like", value, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglIn(List<String> values) {
            addCriterion("zzstsgl in", values, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglNotIn(List<String> values) {
            addCriterion("zzstsgl not in", values, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglBetween(String value1, String value2) {
            addCriterion("zzstsgl between", value1, value2, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andZzstsglNotBetween(String value1, String value2) {
            addCriterion("zzstsgl not between", value1, value2, "zzstsgl");
            return (Criteria) this;
        }

        public Criteria andKceIsNull() {
            addCriterion("kce is null");
            return (Criteria) this;
        }

        public Criteria andKceIsNotNull() {
            addCriterion("kce is not null");
            return (Criteria) this;
        }

        public Criteria andKceEqualTo(BigDecimal value) {
            addCriterion("kce =", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceNotEqualTo(BigDecimal value) {
            addCriterion("kce <>", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceGreaterThan(BigDecimal value) {
            addCriterion("kce >", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("kce >=", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceLessThan(BigDecimal value) {
            addCriterion("kce <", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("kce <=", value, "kce");
            return (Criteria) this;
        }

        public Criteria andKceIn(List<BigDecimal> values) {
            addCriterion("kce in", values, "kce");
            return (Criteria) this;
        }

        public Criteria andKceNotIn(List<BigDecimal> values) {
            addCriterion("kce not in", values, "kce");
            return (Criteria) this;
        }

        public Criteria andKceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kce between", value1, value2, "kce");
            return (Criteria) this;
        }

        public Criteria andKceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kce not between", value1, value2, "kce");
            return (Criteria) this;
        }

        public Criteria andXmjeIsNull() {
            addCriterion("xmje is null");
            return (Criteria) this;
        }

        public Criteria andXmjeIsNotNull() {
            addCriterion("xmje is not null");
            return (Criteria) this;
        }

        public Criteria andXmjeEqualTo(Long value) {
            addCriterion("xmje =", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeNotEqualTo(Long value) {
            addCriterion("xmje <>", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeGreaterThan(Long value) {
            addCriterion("xmje >", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeGreaterThanOrEqualTo(Long value) {
            addCriterion("xmje >=", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeLessThan(Long value) {
            addCriterion("xmje <", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeLessThanOrEqualTo(Long value) {
            addCriterion("xmje <=", value, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeIn(List<Long> values) {
            addCriterion("xmje in", values, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeNotIn(List<Long> values) {
            addCriterion("xmje not in", values, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeBetween(Long value1, Long value2) {
            addCriterion("xmje between", value1, value2, "xmje");
            return (Criteria) this;
        }

        public Criteria andXmjeNotBetween(Long value1, Long value2) {
            addCriterion("xmje not between", value1, value2, "xmje");
            return (Criteria) this;
        }

        public Criteria andSlIsNull() {
            addCriterion("sl is null");
            return (Criteria) this;
        }

        public Criteria andSlIsNotNull() {
            addCriterion("sl is not null");
            return (Criteria) this;
        }

        public Criteria andSlEqualTo(String value) {
            addCriterion("sl =", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlNotEqualTo(String value) {
            addCriterion("sl <>", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlGreaterThan(String value) {
            addCriterion("sl >", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlGreaterThanOrEqualTo(String value) {
            addCriterion("sl >=", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlLessThan(String value) {
            addCriterion("sl <", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlLessThanOrEqualTo(String value) {
            addCriterion("sl <=", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlLike(String value) {
            addCriterion("sl like", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlNotLike(String value) {
            addCriterion("sl not like", value, "sl");
            return (Criteria) this;
        }

        public Criteria andSlIn(List<String> values) {
            addCriterion("sl in", values, "sl");
            return (Criteria) this;
        }

        public Criteria andSlNotIn(List<String> values) {
            addCriterion("sl not in", values, "sl");
            return (Criteria) this;
        }

        public Criteria andSlBetween(String value1, String value2) {
            addCriterion("sl between", value1, value2, "sl");
            return (Criteria) this;
        }

        public Criteria andSlNotBetween(String value1, String value2) {
            addCriterion("sl not between", value1, value2, "sl");
            return (Criteria) this;
        }

        public Criteria andSeIsNull() {
            addCriterion("se is null");
            return (Criteria) this;
        }

        public Criteria andSeIsNotNull() {
            addCriterion("se is not null");
            return (Criteria) this;
        }

        public Criteria andSeEqualTo(BigDecimal value) {
            addCriterion("se =", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeNotEqualTo(BigDecimal value) {
            addCriterion("se <>", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeGreaterThan(BigDecimal value) {
            addCriterion("se >", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("se >=", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeLessThan(BigDecimal value) {
            addCriterion("se <", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("se <=", value, "se");
            return (Criteria) this;
        }

        public Criteria andSeIn(List<BigDecimal> values) {
            addCriterion("se in", values, "se");
            return (Criteria) this;
        }

        public Criteria andSeNotIn(List<BigDecimal> values) {
            addCriterion("se not in", values, "se");
            return (Criteria) this;
        }

        public Criteria andSeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("se between", value1, value2, "se");
            return (Criteria) this;
        }

        public Criteria andSeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("se not between", value1, value2, "se");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNull() {
            addCriterion("batch_id is null");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNotNull() {
            addCriterion("batch_id is not null");
            return (Criteria) this;
        }

        public Criteria andBatchIdEqualTo(String value) {
            addCriterion("batch_id =", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotEqualTo(String value) {
            addCriterion("batch_id <>", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThan(String value) {
            addCriterion("batch_id >", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("batch_id >=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThan(String value) {
            addCriterion("batch_id <", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThanOrEqualTo(String value) {
            addCriterion("batch_id <=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLike(String value) {
            addCriterion("batch_id like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotLike(String value) {
            addCriterion("batch_id not like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdIn(List<String> values) {
            addCriterion("batch_id in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotIn(List<String> values) {
            addCriterion("batch_id not in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdBetween(String value1, String value2) {
            addCriterion("batch_id between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotBetween(String value1, String value2) {
            addCriterion("batch_id not between", value1, value2, "batchId");
            return (Criteria) this;
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx_xmxx
     *
     * @mbg.generated do_not_delete_during_merge Fri Mar 11 16:36:46 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx_xmxx
     *
     * @mbg.generated Fri Mar 11 16:36:46 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
